using System;
using Data;
using UnityEngine;

public class Pawn : MonoBehaviour
{
    [SerializeField] private UnitData unitData;
    private Vector2 _moveInput;

    public virtual void HandleMove(Vector2 input)
    {
        _moveInput = input;    
    }

    private void FixedUpdate()
    {
        transform.Translate(_moveInput * unitData.MoveSpeed);
    }
}
